.is-root-container {
    font-size: 18px;
}

[data-block].is-selected {
    border: 1px dashed #c0c0c0;
}

[data-block].has-child-selected {
    border: 1px dashed #e9e9e9;
}

.block-editor-block-list__block.wp-block.is-reusable {
    max-width: 100% !important;
}

[data-block] a {
    text-decoration: underline;
}

body#tinymce.wp-editor {
    max-width: 1000px;
    padding: 0 1rem;
    margin: 2.5rem auto; 
}

body#tinymce.wp-editor a {
    color: var(--wp--preset--color--secondary);
}

body#tinymce.wp-editor iframe {
    max-width: 80%;
}

ul.acf-checkbox-list {
    padding: 0;
}

h1.wp-block-post-title.wp-block {
    padding: 40px 0;
    font-size: 40px;
    font-weight: 700;
}

/* BLOCK BANNERS */

.banners-block img {
    width: 100%;
    height: auto;
}

/* COUNTER */

.counter-item {
    padding: 1.5rem;
    background-color: var(--wp--preset--color--light);
    border: 1px solid #F3F4F6;
    border-radius: 0.5rem;
    font-weight: 700;
}

.counter-item:not(:last-of-type) {
    margin-bottom: 1.5rem;
}

.counter-item__infos,
.counter-item__number {
    color: var(--wp--preset--color--primary);
    display: flex;
    align-items: center;
    font-size: 2.25rem;
    line-height: 1.3;
}

.counter-item p {
    color: var(--wp--preset--color--secondary);
    font-size: 0.875rem;
    letter-spacing: 0.7px;
    margin: 0;
    text-transform: uppercase;   
}

/* SLIDER  */

.slider-viewport {
    overflow: hidden;
    padding: 0 0.5rem;
    margin: 0 -1.5rem;
}

.slider-viewport__container {
    display: flex;
    backface-visibility: hidden;
}

.slider-viewport .slider-viewport__item {
    min-width: 0;
    flex: 0 0 calc(100% / var(--cols-sm, 1));
    padding: 0 0.5rem;
    margin: 0;
}

.slider-viewport__nav {
	width: 110px;
	margin: 2.5rem auto 0;
	display: flex;
	align-items: center;
	justify-content: space-between;
}

.full-slide .slider-viewport,
.full-slide .slider-viewport .slider-viewport__container {
    margin: 0 !important;
    padding: 0 !important;
    padding-inline: 0 !important;
}

[class^="nav-prev"],
[class^="nav-next"] {
	width: 45px;
	height: 45px;
	margin-top: -22px;
	border: 2px solid;
	border-radius: 2rem;
	color: #499CE5;
	cursor: pointer;
	display: flex;
	align-items: center;
	justify-content: center;
	font-size: 1.8rem;
	line-height: 1;
	text-align: center;
}

@media (max-width: 991px) {
    .slider-viewport:not(.post-autoplay) {
        margin: 0;
        padding: 0;
    }
}

@media (min-width: 768px) {
    .slider-viewport:not(.post-autoplay) {
        margin: 0 -1.75rem;
    }

    .slider-viewport .slider-viewport__item {
        padding: 0 1.25rem;
        flex: 0 0 calc(100% / var(--cols-md, 2));
    }

    .slider-viewport__nav {
		margin: 0;
		position: absolute;
		right: 0;
		top: -3.75rem;
	}

    .no-nav .slider-viewport__nav {
        display: none;
    }
}

@media (min-width: 1200px) {
    .slider-viewport .slider-viewport__item {
        flex: 0 0 calc(100% / var(--cols-lg, 3));
    }
}

/* ARTICLE */

.post-item {
    margin-bottom: clamp(1.563rem, 4vw, 3.125rem);
}

article[class^="post-style-"] {
    width: 100%;
    font-family: var(--wp--preset--font-family--secondary);
    overflow: hidden;
}

article[class^="post-style-"] img {
    width: 100% !important;
    height: 100% !important;
    object-fit: cover;
    object-position: center;
    transition: transform .8s;
}

article[class^="post-style-"]:hover img {
    transform: scale(1.05);
}

article[class^="post-style-"] h2,
article[class^="post-style-"] h3 {
    margin: 0.75rem 0;
    color: var(--wp--preset--color--primary);
    font-size: 1.25rem;
    font-weight: 700;
    line-height: 1.3;
}

article[class^="post-style-"] p {
    color: var(--wp--preset--color--gray);
    line-height: 1.6;
}

.post-style__cat {
    color: #0060A8;
    font-size: 0.625rem;
    font-weight: 700;
    letter-spacing: 1px;
    text-transform: uppercase;
}

.post-style__time {
    padding-left: 0.25rem;
    color: #43474E;
    font-size: 0.813rem;
}

.post-style__time:before {
    content: "•";
    position: relative;
    left: -0.25rem;
}

.post-style__thumb {
    width: 100%;
    overflow: hidden;
}

/* ARTICLE - POST */

article.post-style-1 {
    background-color: var(--wp--preset--color--white);
    border-radius: 0.875rem; 
}

article.post-style-1 .post-style__infos {
    padding: 1.375rem;
}

article.post-style-1 h2 {
    min-height: 78px;
    color: var(--wp--preset--color--primary);
    font-size: 1.25rem;
    font-weight: 700;
}

article.post-style-1 p {
    font-size: 0.875rem;
}

article.post-style-1 .post-style__button {
    width: 100%;
    padding-top: 1rem;
    margin-top: 1rem;
    border-top: 1px solid #E0E3E5;
    color: var(--wp--preset--color--secondary);
    display: block;
    font-size: 1rem;
    font-weight: 700;
    position: relative;
}

article.post-style-1:hover .post-style__button {
    color: var(--wp--preset--color--accent);
}

article.post-style-1 .post-style__button:before {
    content: "\e901";
    font-family: 'inzicon';
    font-size: 1.25rem;
    position: absolute;
    right: 0;
}

@media (min-width: 768px) and (max-width: 1199px) {
    article.post-style-1 .post-style__infos {
        padding: 1.2rem;
    }

    article.post-style-1 h2 {
        font-size: 1rem;
    }
}

/* ARTICLE - SERVICE */

article.post-style-service {
    padding: 1.875rem;
    background: linear-gradient(90deg, #051C42 0%, #092F6D 100%);
    border: 1px solid rgba(255, 255, 255, 0.1);
    border-radius: 0.5rem;
    box-shadow: 0px 20px 25px -5px rgba(0, 0, 0, 0.1), 0px 8px 10px -6px rgba(0, 0, 0, 0.1);
    font-size: 1rem;
}

article.post-style-service .post-style__thumb {
    max-width: 64px;
    margin-bottom: 1.875rem;
}

article.post-style-service h3 {
    max-width: 12rem;
    margin-bottom: 1.25rem;
    color: var(--wp--preset--color--white);
    font-size: 1.5rem;
    overflow-wrap: normal;
    word-break: keep-all;
}

article.post-style-service p {
    max-width: 15rem;
    color: #9CA3AF;
    font-family: var(--wp--preset--font-family--primary);
}

article.post-style-service .post-style__button {
    color: #499CE5;
    display: flex;
    align-items: center;
    gap: 0 0.8rem;
    font-weight: 700;
    line-height: 1.3;
}

article.post-style-service:hover .post-style__button {
    color: var(--wp--preset--color--accent);
}

article.post-style-service .post-style__button:after {
    content: "\e901";
    font-family: 'inzicon';
    font-size: 1.4rem;
    font-weight: 400;
}

@media (min-width: 768px) and (max-width: 1199px) {
    article.post-style-service {
        padding: 1.375rem;
    }

    article.post-style-service h3 {
        font-size: 1.375rem;
    }
}


/* ARTICLE - CASE */

.post-item:has(article.post-style-case) {
    margin-bottom: 2.375rem;
}

article.post-style-case {
    padding: 1.563rem;
    background-color: var(--wp--preset--color--light);
    border-radius: 1rem;
}

article.post-style-case .post-style__thumb {
    padding: 1.563rem;
    height: 110px;
    background-color: var(--wp--preset--color--white);
    border-radius: 0.5rem;
    box-shadow: 0px 1px 2px rgba(0, 0, 0, 0.05);
    display: flex;
    align-items: center;
    justify-content: center;
}

article.post-style-case .post-style__thumb img {
    width: auto !important;
    max-width: 234px;
    height: auto !important;
    max-height: 55px;
    object-fit: contain;
}

article.post-style-case h3 {
    margin: 1.35rem 0;
    font-size: 1.25rem;
}

article.post-style-case p {
    max-width: 14.688rem;
    font-size: 1rem;
    line-height: 1.3;
}

article.post-style-case .post-style__button {
    border-bottom: 1px solid;
    color: var(--wp--preset--color--secondary);
    font-size: 0.625rem;
    font-weight: 700;
    letter-spacing: 1px;
    line-height: 1;
    text-transform: uppercase;
}

article.post-style-case:hover .post-style__button {
    color: var(--wp--preset--color--accent);
}

/* GRAPHS BAR */

.graphs-block ul {
    padding: 0;
    margin: 0;
    font-family: var(--wp--preset--font-family--secondary);
    list-style: none;
}

.graphs-block ul li {
    margin-bottom: 1.5rem;
}

.graphs-item__title {
    margin-bottom: 0.5rem;
    color: #43474E;
    display: flex;
    justify-content: space-between;
    gap: 0 1rem;
    font-size: 0.625rem;
    font-weight: 700;
    letter-spacing: 1px;
    line-height: 1.2;
    text-transform: uppercase;
}

.graphs-item__wrap {
    width: 100%;
    height: 8px;
    background-color: #E6E8EA;
    border-radius: 30px;
    overflow: hidden;
}

.graphs-item__bar {
    max-width: 100%;
    height: 8px;
    background-color: #0060A8;
    border-radius: 30px;
    position: absolute;
    transition: all 2s;
    transform: translateX(-100%);
}

.graphs-item__bar.active {
    transform: translateX(0%);
}

.graphs-block small {
    width: 60px;
    color: #0060A8;
    font-size: 0.875rem;
    font-weight: 800;
}

.is-style-graph-2 .graphs-item__wrap {
    height: 12px;
    background-color: rgba(255,255,255,0.2);
    box-shadow: 0px 0px 15px rgba(255, 93, 6, 0.5);
}

.is-style-graph-2 .graphs-item__bar {
    height: 12px;
    background-color: #25D5DC;
}

.is-style-graph-2 .graphs-item__title {
    margin-bottom: 1rem;
    color: rgba(255,255,255,0.7);
    font-size: 1rem;
    font-weight: 600;
    letter-spacing: 0;
    text-transform: none;
}

.is-style-graph-2 small {
    width: 70px;
    color: var(--wp--preset--color--light);
    font-size: 1.25rem;
    font-weight: 600;
}

@media (min-width: 992px) {
    .graphs-block ul li {
        margin-bottom: 2.1rem;
    }
}

/* FAQ */

.acc-block .accordion-item {
    padding: 1.5rem;
	margin-bottom: 0.875rem;
    background: var(--wp--preset--color--white);
    border: 1px solid #E5E7EB;
	border-radius: 8px !important;
}

.accordion-item .accordion-button {
    padding: 0 2rem 0 0;
    background-color: transparent;
    box-shadow: none;
    color: var(--wp--preset--color--primary);
    font-size: clamp(1.1rem, 1.07rem + 0.15vw, 1.25rem);
    font-weight: 500;
    letter-spacing: -0.02rem;
    line-height: 1.2;
    outline: none;
    position: relative;
}

.accordion-item .accordion-button:after {
    content: "\e907";
    background: transparent;
    color: var(--wp--preset--color--secondary);
    font-family: 'inzicon';
    font-size: 0.8rem;
    font-weight: 400;
    line-height: 1;
    text-align: center;
    position: absolute;
    right: 0;
    top: 70%;
    transform: translate(0, -50%);
}

.accordion-item .accordion-button:hover {
    color: var(--wp--preset--color--secondary);
}

.accordion-item .accordion-body {
	padding: 2rem 0 0 0;
}

.accordion-item .accordion-body p:last-child {
    margin: 0;
}

.accordion-item .accordion-button[aria-expanded=true]:after {
    content: "\e906";
}

.is-style-gray.acc-block .accordion-item {
    background-color: #F2F4F6;
    border: none;
}

@media (max-width: 767px) {
    .accordion-item .accordion-button:after {
        right: -0.5rem;
    }
}

@media (min-width: 1200px) {
    .accordion-item .accordion-body {
       padding-right: 2rem; 
    }
}

/* CONTACT BLOCK */

.contact-block {
    padding: 0;
    margin: 0;
    font-family: var(--wp--preset--font-family--secondary);
    font-size: 1.25rem;
    font-weight: 700;
    list-style: none;
}

.contact-block li {
    display: flex;
    align-items: center;
    gap: 1rem;
}

.contact-block li:not(:last-child) {
    margin-bottom: 1rem;
}

.contact-block li a {
    line-break: anywhere;
    text-decoration: none;
}

/* SOCIAL BLOCK */

.social-block {
	display: flex;
	gap: 0 2rem;
}

.has-text-align-center.social-block {
    justify-content: center;
}

.has-text-align-right.social-block {
    justify-content: flex-end;
}

.social-block .fi {
    font-size: clamp(1.75rem, 1.6624rem + 0.438vw, 2.188rem);
    text-align: center;
}

/* FILTER */

.filter-block__filter {
    padding: 1.087rem;
    background-color: var(--wp--preset--color--light);
    border-radius: 0.875rem;
    color: #43474E;
    gap: 1rem 2rem;
    font-family: var(--wp--preset--font-family--secondary);
    font-size: 0.875rem;
    font-weight: 500;
}

.filter-block__filter,
.filter-block__filter ul {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.filter-block ul {
    width: 100%;
    padding: 0;
    margin: 0;
    gap: 0 0.5rem;
    list-style: none;
}

.filter-block ul li a {
    color: var(--wp--preset--color--gray);
    display: table;
}

.filter-block ul li a:hover,
.filter-block ul li a.active {
    color: var(--wp--preset--color--secondary);
}

.filter-block ul li a.filter-block__all {
    font-weight: 600;
}

.filter-block .search-form {
    width: 100%;
    padding-left: 0.6rem;
    margin: 0 auto;
    background-color: var(--wp--preset--color--white);
    border-radius: 0.75rem;
    display: flex;
}

.filter-block .search-form input {
    padding: 0.5rem;
    margin: 0;
    font-size: 0.875rem;
    order: 2;
}

.filter-block .search-form input[type=submit] {
    width: 2rem;
    padding: 0;
    background: url(../../images/search.svg) center no-repeat transparent;
    order: 1;
}

.filter-block__button {
    width: 100%;
    padding: 0.785rem;
    background-color: var(--wp--preset--color--primary);
    border-radius: 0.375rem;
    color: var(--wp--preset--color--white);
    display: none;
    font-size: 1.125rem;
    font-family: var(--wp--preset--font-family--secondary);
    font-weight: 500;
}

@media (max-width: 991px) {
    .filter-block__filter {
        padding: 1.5rem 2rem;
        display: none;
    }

    .filter-block__filter.active {
        display: flex;
    }

    .filter-block__filter {
        flex-direction: column;
    }

    .filter-block ul {
        flex-wrap: wrap;
    }

    .filter-block ul li {
        width: 48%;
    }

    .filter-block ul li a.filter-block__term {
        padding: 0.5rem 0;
    }

    .filter-block__button {
        display: flex;
        align-items: center;
        justify-content: center;
        gap: 0.5rem;
    }
}

@media (min-width: 992px) {
    .filter-block ul li a.filter-block__all {
        padding: 0.36rem 2.675rem;
        background-color: var(--wp--preset--color--primary);
        border-radius: 2rem;
        color: var(--wp--preset--color--white);
    }

    .filter-block ul li a.filter-block__all:hover {
        background-color: var(--wp--preset--color--secondary);
    }

    .filter-block .search-form {
        width: auto;
    }
}

@media (min-width: 1200px) {
    .filter-block .search-form {
        width: 100%;
        max-width: 320px;
    }
}

/* GALLERY */

.gallery-block img,
.gallery-block video {
    width: 100% !important;
    height: 100% !important;
    margin: 0 auto;
    border-radius: 0.75rem;
    object-fit: cover;
    object-position: center;
    transition: all .3s ease-in-out;
}

.gallery-item:not(.gallery-item__logo):hover img {
    filter: brightness(80%);
}

.slider-viewport .gallery-item:not(.gallery-item__logo) {
    padding: 0 0.4rem;
    border-radius: 0;
    overflow: hidden;
}

.gallery-item__logo {
    display: flex;
    align-items: center;
    justify-content: center;
}

.gallery-item__logo img {
    width: auto !important;
    max-width: 100%;
    height: auto;
    max-height: 50px;
    border-radius: 0;
    object-fit: contain;
}

@media (min-width: 768px) {
    .slider-viewport .gallery-item {
        height: var(--inz-height, auto);
    }
}

/* VIDEO */

.video-item__thumb {
    border-radius: 0.625rem;
    cursor: pointer;
    display: block;
    position: relative;
    overflow: hidden;
}

.video-item__thumb img {
    width: 100%;
	height: 100%;
    object-fit: cover;
    object-position: center;
}

.video-item__thumb:before {
    content: "";
    background: url(../../images/icon-play.png) center no-repeat rgba(0,0,0,0.2);
    background-size: 65px;
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    top: 0;
    transition: all .3s ease-in-out;
}

.video-item__thumb:hover:before {
    background: url(../../images/icon-play.png) center no-repeat rgba(0,0,0,0.1);
    background-size: 65px;
}

.video-item p {
    max-width: 90%;
    padding: 1rem 2rem;
    font-size: 0.9em;
}

/* MAP */

.map-block {
    width: 100%;
    margin-left: auto;
    margin-right: auto;
    overflow: hidden;
}

.map-block iframe {
    width: 100%;
    height: 400px;
}

/* LINKS PAGE */

.page-template-page-links {
    background-color: var(--bg-color-3);
}

.links-block {
    max-width: 600px;
    padding: 40px 0;
    margin: 0 auto;
}

.links-block__img {
    margin: 0 auto;
    text-align: center;
}

.links-block__img img {
    width: auto;
    max-width: 180px;
    height: auto;
}

.links-block__list {
    list-style: none !important;
    padding: 0;
}

.links-block__list li a {
    display: block;
    width: 100%;
    margin: 0 auto 10px;
    color: var(--tx-color);
    background-color: var(--bg-color-1);
    text-align: center;
    text-decoration: none;
    font-weight: 700;
    padding: 15px 5px;
    border-radius: 6px;
}

/* COLUMNS */

@media (min-width: 768px) and (max-width: 991px) {
    #main .wp-block-columns:not(.is-not-stacked-on-mobile)>.wp-block-column {
        flex-basis: 46% !important;
    }

    #main .wp-block-columns:not(.is-not-stacked-on-mobile).item-md-100>.wp-block-column {
        flex-basis: 100% !important;
    }
}

@media (min-width: 768px) and (max-width: 781px) {
    #main .wp-block-columns:not(.is-not-stacked-on-mobile)>.wp-block-column.item-sm-100 {
        flex-basis: 100% !important;
    }
}

/* IMAGES */

#footer .aligncenter,
#main .aligncenter,
#main div.aligncenter {
	margin-left: auto;
    margin-right: auto;
	text-align: center;
}

.alignright {
	float: right;
}

.alignleft {
	float: left;
}

img.alignright {
	float: right;
	margin: 5px 0 20px 10px;
}

img.alignleft {
	float: left;
	margin: 5px 20px 10px 0;
}

img.aligncenter {
	display: block;
	margin-left: auto;
	margin-right: auto;
}